// import { Color, Face3, MeshBasicMaterial, Object3D, Vector2, Vector3 } from "three";
// import "./style.css";
import { data } from "../data";
import { Viewer } from "../Viewer";
import { CameraControlState } from "../CameraControls";
import { LoadBoard } from "../Utils";

let btn = document.createElement("button");
btn.innerHTML = "载入"
document.body.appendChild(btn);

let btn2 = document.createElement("button");
btn2.innerHTML = "清理"
document.body.appendChild(btn2);

let el = document.createElement("canvas");

el.style.width = "80%";
el.style.height = "80%";
document.body.appendChild(el);

let view = new Viewer(el);

//修改这个顺序 改变1 2 3 个触摸点时的触发状态.
view.m_CameraCtrl.m_TouthTypeList = [CameraControlState.Rotate, CameraControlState.Scale, CameraControlState.Pan];
//例如,修改单指滑动为平移.
view.m_CameraCtrl.m_TouthTypeList = [CameraControlState.Pan, CameraControlState.Scale, CameraControlState.Rotate];

//加载
btn.onclick = () =>
{
    console.time();
    for (let i = 0; i < 1; i++)
        LoadBoard(view, data);
    console.timeEnd();
}

btn2.onclick = () =>
{
    // LoadBoard(view, []);
}
